=== debian/changelog ===
chromaprint (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: Update copyright information
  * debian/rules: Update build flags for new upstream release.
  * debian/{control,compat,rules}: Bump debhelper compat to 10.
  * debian/control: Update build dependencies for new upstream release:
    - Add libswresample-dev.
    - Remove libavresample-dev and libfftw3-dev.
  * debian/libchromaprint1.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Dec 2016 22:02:06 +0100
