=== debian/changelog ===
chromaprint (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 20:32:12 +0100

chromaprint (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Build with -Wl,--as-needed. (Closes: #849347)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Dec 2016 12:15:50 +0100
