=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # export DH_VERBOSE=1
+
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
