=== debian/changelog ===
chromaprint (1.4.3-3) unstable; urgency=medium

  [ Edward Betts ]
  * Correct github source URL.

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.
    - Use Python 3 version of docutils.
  * debian/:
    - Apply upstream patch to fix tests on big endian platforms. (Closes:
      #889815)
    - Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 13:31:33 +0100

chromaprint (1.4.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Mark libchromaprint-dev as M-A: same.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 May 2018 14:38:49 +0200

chromaprint (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Only enable tests on little endian platforms for now.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Feb 2018 13:09:30 +0100

chromaprint (1.4.2-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Dropped Simon Chopin from the Uploaders.
    Thanks to Tobias Frost on behalf of the MIA Team (Closes: #889767)

  [ Sebastian Ramacher ]
  * debian/control:
    - Add myself to Uploaders.
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/:
    - Bump debhelper compat to 11.
    - Re-enable tests.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 07 Feb 2018 10:08:57 +0100
