=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: chromaprint
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Chopin <chopin.simon@gmail.com>, Reinhard Tartler <siretart@tauware.de>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Sebastian Ramacher <sramacher@debian.org>,
+ Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
  cmake,
- debhelper (>= 10),
+ debhelper (>= 12),
  libavcodec-dev,
  libavformat-dev,
+ libgtest-dev,
  libswresample-dev,
- python-docutils (>= 0.6)
-Standards-Version: 3.9.8
+ python3-docutils (>= 0.6)
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://acoustid.org/chromaprint
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/chromaprint.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/chromaprint.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/chromaprint.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/chromaprint
 
 Package: libchromaprint-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  libchromaprint1 (= ${binary:Version}),
  ${misc:Depends}
@@ -32,7 +36,6 @@
 Package: libchromaprint1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
