=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,9 @@
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
 CONFIGURE_FLAGS += -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
-# FIXME the tests currently can't run with a out-of-source build
-# TODO: patch the build system to build libgtest and fix the out-of-source
-# problem.
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#CONFIGURE_FLAGS += -DBUILD_TESTS=ON
-#endif
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+CONFIGURE_FLAGS += -DBUILD_TESTS=ON
+endif
 
 %:
 	dh $@
