=== debian/changelog ===
chromaprint (1.5.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Annotate Build-Depends: libgtest-dev <!nocheck> (Closes: #981505)

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Use execture_before instead of override

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Jan 2021 23:02:53 +0100

chromaprint (1.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Set upstream metadata fields: Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump dh compat to 13
    - Set RRR: no
  * debian/rules: Remove unnecessary as-needed flags
  * debian/patches: Remove patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 May 2020 23:16:30 +0200
