=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  Reinhard Tartler <siretart@tauware.de>
 Build-Depends:
  cmake,
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libavcodec-dev,
  libavformat-dev,
- libgtest-dev,
+ libgtest-dev <!nocheck>,
  libswresample-dev,
  python3-docutils (>= 0.6)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://acoustid.org/chromaprint
 Vcs-Git: https://salsa.debian.org/multimedia-team/chromaprint.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/chromaprint
+Rules-Requires-Root: no
 
 Package: libchromaprint-dev
 Section: libdevel
