=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # export DH_VERBOSE=1
-
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
@@ -18,9 +16,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
 
-override_dh_installman:
+execute_before_dh_installman:
 	rst2man debian/fpcalc.rst > debian/fpcalc.1
-	dh_installman
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt
