=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,12 +35,10 @@
 	set(chromaprint_SOURCES fft_lib_avfft.cpp ${chromaprint_SOURCES})
 	set(chromaprint_LINK_LIBS
 		${FFMPEG_LIBAVCODEC_LIBRARIES}
-		${FFMPEG_LIBAVFORMAT_LIBRARIES}
 		${FFMPEG_LIBAVUTIL_LIBRARIES}
 	)
 	include_directories(
 		${FFMPEG_LIBAVCODEC_INCLUDE_DIRS}
-		${FFMPEG_LIBAVFORMAT_INCLUDE_DIRS}
 		${FFMPEG_LIBAVUTIL_INCLUDE_DIRS}
 	)
 endif(USE_AVFFT)
@@ -67,9 +65,6 @@
 	include_directories(${KISSFFT_INCLUDE_DIRS})
 endif()
 
-set(chromaprint_LINK_LIBS ${chromaprint_LINK_LIBS} ${AUDIO_PROCESSOR_LIBRARIES})
-include_directories(${AUDIO_PROCESSOR_INCLUDE_DIRS})
-
 add_library(chromaprint_objs OBJECT ${chromaprint_SOURCES})
 if(BUILD_SHARED_LIBS)
 	set_target_properties(chromaprint_objs PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
@@ -93,6 +88,7 @@
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
 	ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
 	PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}
+    COMPONENT chromaprint
 )
 
 if(BUILD_TOOLS)
