=== src/cmd/CMakeLists.txt ===
--- 
+++ 
@@ -37,4 +37,7 @@
 	set_target_properties(fpcalc PROPERTIES LINK_FLAGS ${fpcalc_LINK_FLAGS})
 endif()
 
-install(TARGETS fpcalc RUNTIME DESTINATION ${BIN_INSTALL_DIR})
+install(
+    TARGETS fpcalc
+    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
+    COMPONENT fpcalc)
