=== debian/changelog ===
chromaprint (1.5.1-7) unstable; urgency=medium

  * debian/patches: Pick all relevant upstream changes (Closes: #1091825)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 Jan 2025 11:01:58 +0100

chromaprint (1.5.1-6) unstable; urgency=medium

  * debian/patches: Fix FTBFS with ffmpeg 7.0 (Closes: #1072404)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 02 Aug 2024 23:40:41 +0200

chromaprint (1.5.1-5) unstable; urgency=medium

  * debian/rules: Use internal kissfft library while ffmpeg-based FFT is
    broken (Closes: #1064565)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Feb 2024 23:44:36 +0100

chromaprint (1.5.1-4) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/symbols: Set Build-Depends-Package field for libchromaprint1
  * d/patches: Add DEP-3 Bug field to forwarded issue
  * d/patches: Replace ffmpeg 5 patches with upstream's

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Jul 2023 09:26:55 +0200

chromaprint (1.5.1-3) unstable; urgency=medium

  * debian/control: Bump Standards-Version
  * debian/patches: Fix build with googletest 1.13 (Closes: #1040998)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 17 Jul 2023 23:24:39 +0200

chromaprint (1.5.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * debian/patches: Apply fix for ffmpeg 5.0 (Closes: #1004785)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Feb 2022 23:02:01 +0100

chromaprint (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * debian/copyright: Update for 1.5.1
  * debian/control: Bump Standards-Version
  * debian/rules: Prefer gtest from libgtest-dev
  * debian/libchromaprint1.symbols: Relax dependencies for template
    instantiations

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Jan 2022 18:45:01 +0100
