=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  libavformat-dev,
  libgtest-dev <!nocheck>,
  libswresample-dev,
- python3-docutils (>= 0.6)
-Standards-Version: 4.5.1
+ python3-docutils
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://acoustid.org/chromaprint
 Vcs-Git: https://salsa.debian.org/multimedia-team/chromaprint.git
