=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 CONFIGURE_FLAGS  = -DBUILD_TOOLS=ON
 CONFIGURE_FLAGS += -DBUILD_SHARED_LIBS=ON
 CONFIGURE_FLAGS += -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
+CONFIGURE_FLAGS += -DFFT_LIB=kissfft
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 CONFIGURE_FLAGS += -DBUILD_TESTS=ON
+CONFIGURE_FLAGS += -DGTEST_ROOT=/usr/src/googletest/googletest/
 endif
 
 %:
